//
//  Part of the Java Shell 
//////////////////////////////////////////////////////////////////////////////
//
//  Echo Command for the shell.  Echo's all of its command line args to the
//  console
//
//  Copyright (c) Steve Kemp 1998, skx@tardis.ed.ac.uk
//
//  Usage :-
//   java echo arg1 arg2
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////

/**
 * This program prints out all its command-line arguments.
 **/
public class echo
{
  public static void main(String[] args)
  {
    
    for ( int i = 0; i < args.length; i++ )
    {
      System.out.print( args[ i ] + " " );
    }
    System.out.println();
  }
}
